| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | List of all members
LBMLBTRMTransportDialog Class Reference

Dialog for analyzing LBM LBTRM transport statistics and details. More...

`#include <lbm_lbtrm_transport_dialog.h>`

Inheritance diagram for LBMLBTRMTransportDialog:

## Public Slots
void | setCaptureFile (capture_file *cfile)
| Sets the capture file.

## Signals
void | goToPacket (int PacketNum)
| Signal emitted to navigate to a specific packet.

## Public Member Functions
| LBMLBTRMTransportDialog (QWidget *parent=0, capture_file *cfile=NULL)
| Constructs a new LBMLBTRMTransportDialog.
Ui::LBMLBTRMTransportDialog * | getUI (void)
| Retrieves the UI object.

## Detailed Description

Dialog for analyzing LBM LBTRM transport statistics and details.

## Constructor & Destructor Documentation

## ◆ LBMLBTRMTransportDialog()

LBMLBTRMTransportDialog::LBMLBTRMTransportDialog | ( | QWidget * | parent = 0,
|  | capture_file * | cfile = NULL )
| explicit

Constructs a new LBMLBTRMTransportDialog.

Parameters

  parent | The parent widget, defaults to 0.
  cfile | The capture file, defaults to NULL.

## Member Function Documentation

## ◆ getUI()

Ui::LBMLBTRMTransportDialog * LBMLBTRMTransportDialog::getUI | ( | void |  | ) |
| inline

Retrieves the UI object.

Returns
  Pointer to the UI object.

## ◆ goToPacket

void LBMLBTRMTransportDialog::goToPacket | ( | int | PacketNum | ) |
| signal

Signal emitted to navigate to a specific packet.

Parameters

  PacketNum | The packet number to navigate to.

## ◆ setCaptureFile

void LBMLBTRMTransportDialog::setCaptureFile | ( | capture_file * | cfile | ) |
| slot

Sets the capture file.

Parameters

  cfile | The capture file to set.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/lbm_lbtrm_transport_dialog.h
- /builds/wireshark/wireshark/ui/qt/lbm_lbtrm_transport_dialog.cpp